# Copyright 2010 Bjoern Ricks <bjoern.ricks@intevation.de>
#
# This file is based on the pkg-kde-tools cdbs files and adapted for
# KDE PIM on Maemo.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
# 02111-1307 USA.


ifndef __pkg_kdepim_maemo_vars__
__pkg_kdepim_maemo_vars__ = 1


# set environment variables ro use qt4-maemo5 packages

DEB_DH_INSTALL_SOURCEDIR := debian/tmp

#DEB_CMAKE_INSTALL_PREFIX = /usr

ifeq (,$(DEB_CMAKE_CXX_LINK_FLAGS))
	CMAKE_CXX_LINK_FLAGS =
else
	CMAKE_CXX_LINK_FLAGS = -DCMAKE_CXX_LINK_FLAGS="$(DEB_CMAKE_CXX_LINK_FLAGS)"
endif

DEB_CMAKE_BUILD_TYPE ?=MinSizeRel
DEB_CMAKE_CONFIG_INSTALL_DIR ?=/usr/share/kde4/config
DEB_CMAKE_DATA_INSTALL_DIR ?=/usr/share/kde4/apps
DEB_CMAKE_HTML_INSTALL_DIR ?=/usr/share/doc/kde4/HTML
DEB_CMAKE_KCFG_INSTALL_DIR ?=/usr/share/kde4/config.kcfg
DEB_CMAKE_LIB_INSTALL_DIR ?=/usr/lib
DEB_CMAKE_SYSCONF_INSTALL_DIR ?=/etc

DEB_CMAKE_KDE4_FLAGS = \
        -DCMAKE_BUILD_TYPE=$(DEB_CMAKE_BUILD_TYPE) \
        -DKDE4_BUILD_TESTS=false \
        -DKDE_DISTRIBUTION_TEXT="Harmattan packages" \
        -DKDEPIM_NO_KRESOURCES=TRUE \
        -DKDEPIM_MOBILE_UI=TRUE \
		-DKDE_PLATFORM_PROFILE=Mobile \
        -DCONFIG_INSTALL_DIR=$(DEB_CMAKE_CONFIG_INSTALL_DIR) \
        -DDATA_INSTALL_DIR=$(DEB_CMAKE_DATA_INSTALL_DIR) \
        -DHTML_INSTALL_DIR=$(DEB_CMAKE_HTML_INSTALL_DIR) \
        -DKCFG_INSTALL_DIR=$(DEB_CMAKE_KCFG_INSTALL_DIR) \
        -DLIB_INSTALL_DIR=$(DEB_CMAKE_LIB_INSTALL_DIR) \
        $(CMAKE_CXX_LINK_FLAGS) \
        -DSYSCONF_INSTALL_DIR=$(DEB_CMAKE_SYSCONF_INSTALL_DIR) \
		-DBUILD_doc=OFF
        #-DCMAKE_SKIP_RPATH=true \
        #-DKDE4_USE_ALWAYS_FULL_RPATH=false \


DEB_CMAKE_EXTRA_FLAGS += $(DEB_CMAKE_KDE4_FLAGS) $(DEB_CMAKE_CUSTOM_FLAGS)

DEB_COMPRESS_EXCLUDE = .dcl .docbook -license .tag .sty .el

common-build-arch:: debian/stamp-man-pages
debian/stamp-man-pages:
	if ! test -d debian/man/out; then mkdir -p debian/man/out; fi
	for f in $$(find debian/man -name '*.sgml'); do \
		docbook-to-man $$f > debian/man/out/`basename $$f .sgml`.1; \
	done
	for f in $$(find debian/man -name '*.man'); do \
		soelim -I debian/man $$f \
		> debian/man/out/`basename $$f .man`.`head -n1 $$f | awk '{print $$NF}'`; \
	done
	touch debian/stamp-man-pages

clean::
	rm -rf debian/man/out
	-rmdir debian/man
	rm -f debian/stamp-man-pages
	rm -f CMakeCache.txt

$(patsubst %,binary-install/%,$(DEB_PACKAGES)) :: binary-install/%:
	$(if $(wildcard /usr/bin/dh_desktop),dh_desktop -p$(cdbs_curpkg) $(DEB_DH_DESKTOP_ARGS))
	$(if $(wildcard /usr/bin/dh_bugfiles),dh_bugfiles -p$(cdbs_curpkg) $(DEB_DH_BUGFILES_ARGS))

binary-install/$(DEB_SOURCE_PACKAGE)-doc-html::
	set -e; \
	for doc in `cd $(DEB_DESTDIR)/usr/share/doc/kde/HTML/en; find . -name index.docbook`; do \
		pkg=$${doc%/index.docbook}; pkg=$${pkg#./}; \
		echo Building $$pkg HTML docs...; \
		mkdir -p $(CURDIR)/debian/$(DEB_SOURCE_PACKAGE)-doc-html/usr/share/doc/kde/HTML/en/$$pkg; \
		cd $(CURDIR)/debian/$(DEB_SOURCE_PACKAGE)-doc-html/usr/share/doc/kde/HTML/en/$$pkg; \
		meinproc4 $(DEB_DESTDIR)/usr/share/doc/kde/HTML/en/$$pkg/index.docbook; \
	done
	for pkg in $(DOC_HTML_PRUNE) ; do \
		rm -rf debian/$(DEB_SOURCE_PACKAGE)-doc-html/usr/share/doc/kde/HTML/en/$$pkg; \
	done

# Run dh_sameversiondep
#common-binary-predeb-arch common-binary-predeb-indep::
#	dh_sameversiondep $(if $(filter common-binary-predeb-arch,$@),-a,-i)

endif
